Loading...
Searching...
No Matches
pcl::SampleConsensusModelFromNormals< PointT, PointNT > Class Template Reference
Module sample_consensus

SampleConsensusModelFromNormals represents the base model class for models that require the use of surface normals for estimation. More...

`#include <pcl/sample_consensus/sac_model.h>`

Inheritance diagram for pcl::SampleConsensusModelFromNormals< PointT, PointNT >:

## Public Types

using | PointCloudNConstPtr = typename pcl::PointCloud<PointNT>::ConstPtr
using | PointCloudNPtr = typename pcl::PointCloud<PointNT>::Ptr
using | Ptr = shared_ptr<SampleConsensusModelFromNormals<PointT, PointNT> >
using | ConstPtr = shared_ptr<const SampleConsensusModelFromNormals<PointT, PointNT> >

## Public Member Functions

| SampleConsensusModelFromNormals ()
| Empty constructor for base SampleConsensusModelFromNormals.
virtual | ~SampleConsensusModelFromNormals ()=default
| Destructor.
void | setNormalDistanceWeight (const double w)
| Set the normal angular distance weight.
double | getNormalDistanceWeight () const
| Get the normal angular distance weight.
void | setInputNormals (const PointCloudNConstPtr &normals)
| Provide a pointer to the input dataset that contains the point normals of the XYZ dataset.
PointCloudNConstPtr | getInputNormals () const
| Get a pointer to the normals of the input XYZ point cloud dataset.

## Protected Attributes

double | normal_distance_weight_ {0.0}
| The relative weight (between 0 and 1) to give to the angular distance (0 to pi/2) between point normals and the plane normal.
PointCloudNConstPtr | normals_
| A pointer to the input dataset that contains the point normals of the XYZ dataset.

## Detailed Description

template<typename PointT, typename PointNT>
class pcl::SampleConsensusModelFromNormals< PointT, PointNT >

SampleConsensusModelFromNormals represents the base model class for models that require the use of surface normals for estimation.

Definition at line 612 of file sac_model.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT, typename PointNT>

using pcl::SampleConsensusModelFromNormals< PointT, PointNT >::ConstPtr = shared_ptr<const SampleConsensusModelFromNormals<PointT, PointNT> >

Definition at line 619 of file sac_model.h.

## PointCloudNConstPtr

template<typename PointT, typename PointNT>

using pcl::SampleConsensusModelFromNormals< PointT, PointNT >::PointCloudNConstPtr = typename pcl::PointCloud<PointNT>::ConstPtr

Definition at line 615 of file sac_model.h.

## PointCloudNPtr

template<typename PointT, typename PointNT>

using pcl::SampleConsensusModelFromNormals< PointT, PointNT >::PointCloudNPtr = typename pcl::PointCloud<PointNT>::Ptr

Definition at line 616 of file sac_model.h.

## Ptr

template<typename PointT, typename PointNT>

using pcl::SampleConsensusModelFromNormals< PointT, PointNT >::Ptr = shared_ptr<SampleConsensusModelFromNormals<PointT, PointNT> >

Definition at line 618 of file sac_model.h.

## Constructor & Destructor Documentation

## SampleConsensusModelFromNormals()

template<typename PointT, typename PointNT>

pcl::SampleConsensusModelFromNormals< PointT, PointNT >::SampleConsensusModelFromNormals | ( |  | ) |

inline

Empty constructor for base SampleConsensusModelFromNormals.

Definition at line 622 of file sac_model.h.

References normals_.

Referenced by pcl::SampleConsensusModelCone< PointT, PointNT >::operator=(), pcl::SampleConsensusModelCylinder< PointT, PointNT >::operator=(), pcl::SampleConsensusModelTorus< PointT, PointNT >::operator=(), pcl::SampleConsensusModelCone< PointT, PointNT >::SampleConsensusModelCone(), pcl::SampleConsensusModelCone< PointT, PointNT >::SampleConsensusModelCone(), pcl::SampleConsensusModelCone< PointT, PointNT >::SampleConsensusModelCone(), pcl::SampleConsensusModelCylinder< PointT, PointNT >::SampleConsensusModelCylinder(), pcl::SampleConsensusModelCylinder< PointT, PointNT >::SampleConsensusModelCylinder(), pcl::SampleConsensusModelCylinder< PointT, PointNT >::SampleConsensusModelCylinder(), pcl::SampleConsensusModelNormalPlane< PointT, PointNT >::SampleConsensusModelNormalPlane(), pcl::SampleConsensusModelNormalPlane< PointT, PointNT >::SampleConsensusModelNormalPlane(), pcl::SampleConsensusModelNormalSphere< PointT, PointNT >::SampleConsensusModelNormalSphere(), pcl::SampleConsensusModelNormalSphere< PointT, PointNT >::SampleConsensusModelNormalSphere(), pcl::SampleConsensusModelTorus< PointT, PointNT >::SampleConsensusModelTorus(), pcl::SampleConsensusModelTorus< PointT, PointNT >::SampleConsensusModelTorus(), and pcl::SampleConsensusModelTorus< PointT, PointNT >::SampleConsensusModelTorus().

## ~SampleConsensusModelFromNormals()

template<typename PointT, typename PointNT>

virtual pcl::SampleConsensusModelFromNormals< PointT, PointNT >::~SampleConsensusModelFromNormals | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## getInputNormals()

template<typename PointT, typename PointNT>

PointCloudNConstPtr pcl::SampleConsensusModelFromNormals< PointT, PointNT >::getInputNormals | ( |  | ) | const

inline

Get a pointer to the normals of the input XYZ point cloud dataset.

Definition at line 660 of file sac_model.h.

References normals_.

## getNormalDistanceWeight()

template<typename PointT, typename PointNT>

double pcl::SampleConsensusModelFromNormals< PointT, PointNT >::getNormalDistanceWeight | ( |  | ) | const

inline

Get the normal angular distance weight.

Definition at line 645 of file sac_model.h.

References normal_distance_weight_.

Referenced by pcl::SACSegmentationFromNormals< PointT, PointNT >::initSACModel().

## setInputNormals()

template<typename PointT, typename PointNT>

void pcl::SampleConsensusModelFromNormals< PointT, PointNT >::setInputNormals | ( | const PointCloudNConstPtr & | normals | ) |

inline

Provide a pointer to the input dataset that contains the point normals of the XYZ dataset.

Parameters

  [in] | normals | the const boost shared pointer to a PointCloud message

Definition at line 653 of file sac_model.h.

References normals_.

Referenced by pcl::SACSegmentationFromNormals< PointT, PointNT >::initSACModel().

## setNormalDistanceWeight()

template<typename PointT, typename PointNT>

void pcl::SampleConsensusModelFromNormals< PointT, PointNT >::setNormalDistanceWeight | ( | const double | w | ) |

inline

Set the normal angular distance weight.

Parameters

  [in] | w | the relative weight (between 0 and 1) to give to the angular distance (0 to pi/2) between point normals and the plane normal. (The Euclidean distance will have weight 1-w.)

Definition at line 633 of file sac_model.h.

References normal_distance_weight_.

Referenced by pcl::SACSegmentationFromNormals< PointT, PointNT >::initSACModel().

## Member Data Documentation

## normal_distance_weight_

template<typename PointT, typename PointNT>

double pcl::SampleConsensusModelFromNormals< PointT, PointNT >::normal_distance_weight_ {0.0}

protected

The relative weight (between 0 and 1) to give to the angular distance (0 to pi/2) between point normals and the plane normal.

Definition at line 666 of file sac_model.h.

Referenced by pcl::SampleConsensusModelCone< PointT, PointNT >::countWithinDistance(), pcl::SampleConsensusModelCylinder< PointT, PointNT >::countWithinDistance(), pcl::SampleConsensusModelNormalSphere< PointT, PointNT >::countWithinDistance(), pcl::SampleConsensusModelNormalPlane< PointT, PointNT >::countWithinDistanceStandard(), pcl::SampleConsensusModelCone< PointT, PointNT >::getDistancesToModel(), pcl::SampleConsensusModelCylinder< PointT, PointNT >::getDistancesToModel(), pcl::SampleConsensusModelNormalPlane< PointT, PointNT >::getDistancesToModel(), pcl::SampleConsensusModelNormalSphere< PointT, PointNT >::getDistancesToModel(), getNormalDistanceWeight(), pcl::SampleConsensusModelCone< PointT, PointNT >::selectWithinDistance(), pcl::SampleConsensusModelCylinder< PointT, PointNT >::selectWithinDistance(), pcl::SampleConsensusModelNormalPlane< PointT, PointNT >::selectWithinDistance(), pcl::SampleConsensusModelNormalSphere< PointT, PointNT >::selectWithinDistance(), and setNormalDistanceWeight().

## normals_

template<typename PointT, typename PointNT>

PointCloudNConstPtr pcl::SampleConsensusModelFromNormals< PointT, PointNT >::normals_

protected

A pointer to the input dataset that contains the point normals of the XYZ dataset.

Definition at line 671 of file sac_model.h.

Referenced by pcl::SampleConsensusModelCone< PointT, PointNT >::computeModelCoefficients(), pcl::SampleConsensusModelCylinder< PointT, PointNT >::computeModelCoefficients(), pcl::SampleConsensusModelTorus< PointT, PointNT >::computeModelCoefficients(), pcl::SampleConsensusModelCone< PointT, PointNT >::countWithinDistance(), pcl::SampleConsensusModelCylinder< PointT, PointNT >::countWithinDistance(), pcl::SampleConsensusModelNormalPlane< PointT, PointNT >::countWithinDistance(), pcl::SampleConsensusModelNormalSphere< PointT, PointNT >::countWithinDistance(), pcl::SampleConsensusModelCone< PointT, PointNT >::getDistancesToModel(), pcl::SampleConsensusModelCylinder< PointT, PointNT >::getDistancesToModel(), pcl::SampleConsensusModelNormalPlane< PointT, PointNT >::getDistancesToModel(), pcl::SampleConsensusModelNormalSphere< PointT, PointNT >::getDistancesToModel(), getInputNormals(), pcl::SampleConsensusModelTorus< PointT, PointNT >::isSampleGood(), SampleConsensusModelFromNormals(), pcl::SampleConsensusModelCone< PointT, PointNT >::selectWithinDistance(), pcl::SampleConsensusModelCylinder< PointT, PointNT >::selectWithinDistance(), pcl::SampleConsensusModelNormalPlane< PointT, PointNT >::selectWithinDistance(), pcl::SampleConsensusModelNormalSphere< PointT, PointNT >::selectWithinDistance(), and setInputNormals().

The documentation for this class was generated from the following file:

- pcl/sample_consensus/sac_model.h